[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# InvalidDayOfWeekInMonthError

Raise an EConvertError exception when a Year,Month,NthDayofWeek,DayofWeek is invalid.

## Declaration

Source position: dateutil.inc line 389

`procedure InvalidDayOfWeekInMonthError(`
`const AYear: Word;`
`const AMonth: Word;`
`const ANthDayOfWeek: Word;`
`const ADayOfWeek: Word`
`);`

## Arguments

`AYear` |  | Year
`AMonth` |  | Month in the year
`ANthDayOfWeek` |  | Nth occurrence of day of week.
`ADayOfWeek` |  | Day of week.

## Description

InvalidDayOfWeekInMonthError raises an EConvertError exception and formats the error message with an appropriate description made up from the parts AYear, Amonth, ANthDayOfWeek and ADayOfWeek.

Normally this function should not be needed, the conversion routines call it when they have received invalid arguments.

## See also

InvalidDateWeekError |  | Raise an EConvertError with an invalid Year, WeekOfyear and DayOfWeek specification
InvalidDateTimeError |  | Raise an EConvertError about an invalid date-time specification.
InvalidDateDayError |  | Raise an EConvertError exception when a day is not a valid day of a year.
InvalidDateMonthWeekError |  | Raise an EConvertError exception when a Year,Month,WeekOfMonth,DayofWeek is invalid.

Documentation generated on: Feb 26 2014